Drupal.verticalTabs = Drupal.verticalTabs || {};

Drupal.verticalTabs.autodismiss = function() {
  var vals = [];
  $('.vertical-tabs-autodismiss input[type="checkbox"]:checked').each(function(){
    vals.push(Drupal.t($.trim(($(this).parent().text().split(' '))[3])));
  });
  if (!vals.length) {
    return Drupal.t('Disabled');
  }
  else {
    return vals.join(', ');
  }
};

Drupal.verticalTabs.pages = function() {
  var $radio = $('input[name="absolute_messages_visibility_pages"]:checked');
  if ($radio.val() == 0) {
    if (!$('textarea[name="absolute_messages_pages"]').val()){
      return Drupal.t('Not restricted');
    }
    else {
      return Drupal.t('All pages with exceptions');
    }
  }
  else {
    return Drupal.t('Restricted to certain pages');
  }
};

Drupal.verticalTabs.roles = function() {
  var vals = [];
  $('.vertical-tabs-roles input[type="checkbox"]:checked').each(function(){
    console.log($(this));
    vals.push($.trim($(this).parent().text()));
  });
  if (!vals.length) {
    return Drupal.t('Not restricted');
  }
  else if ($('input[name="absolute_messages_visibility_roles"]:checked').val() == 1) {
    return Drupal.t('Except: @roles', {'@roles' : vals.join(', ')});
  }
  else {
    return vals.join(', ');
  }
};

Drupal.verticalTabs.advanced = function() {
  var vals = [];
  if ($('.vertical-tabs-advanced input[name="absolute_messages_no_js_check"]:checked').length == 1) {
    vals.push(Drupal.t('Ignore has_js cookie'));
  };
  return vals.join(', ');
};

(function ($) {
  
  Drupal.behaviors.absoluteMessagesAdmin = function(context){

    // Show/hide "Automatically dismiss ... messages after ... seconds"
    // textfield based on relevant checkbox value.
    $(".absolute-message-dismiss-checkbox").click(function(){
      var message_type = $(this).attr("id").replace("edit-absolute-messages-dismiss-", "");
      if ($(this).attr("checked")) {
        $("#absolute-messages-dismiss-time-"+message_type+"-wrapper").show();
      } else {
        $("#absolute-messages-dismiss-time-"+message_type+"-wrapper").hide();
      }
    });

  };

})(jQuery);